Subject: Re: [AAA-WG]: Session Movement

From: Bernard Aboba <[email-masked]>
Date: Mon, 30 Apr 2001 23:34:27 -0700 (PDT)

You may also want to move Acct-Multi-Session-Id.

On Mon, 30 Apr 2001, Pat Calhoun wrote:

> All,
> 
> A week or so ago, the following text was proposed, and I am now just getting
> around to making spec changes, and some questions arose:
> 
> > 11.7  Session Movement
> >
> >  When a user moves between different access devices it may be desirable
> >  to keep the Session Id unchanged. It is therefore possible for a
> >  server to send the original Session Id back to the requester in the
> >  Original-Session-Id AVP. If the AAA server already has a
> >  sessionidentifier
> 
> how about the following???
> 
> "11.7  Session Movement
> 
> There are applications that over the course of a session a user MAY
> receive service from different access servers. While the service is
> relocated, it MAY be desirable for the AAA infrastructure to view this
> as a persistent session, as opposed to a new session each time a user is
> relocated. In order to support these applications, when an AAA server
> identifies that a request is the continuation of an existing session,
> it MUST include the original session identifier in the Original-Session-Id
> AVP in the corresponding response message to the access device."
> 
> WARNING!!!!!!
> 
> This is really unchartered territory, and we really need to think this one
> through. Let's assume, for the moment, that a user's device crashes, and
> the mobile re-connects to a new FA. In this case, the AAAF, or AAAH, *could*
> believe this is the continuation of an old session. 
> 
> If one is billed by time, this is a problem.
> 
> So, I think that additional text is required on when this should be done.
> 
> 
> [...]
> 
> > 11.8  Session Termination
> >
> >  The Diameter Base Protocol provides a set of messages that MUST be
> >  used by any peer to explicitly request that a previously
> >  authenticated and/or authorized session be terminated. Since the
> >  Session-Id is typically tied to a particular service (i.e. Mobile IP,
> >  NASREQ, etc), the session termination messages are used to request
> >  that the service tied to the Session Id be terminated.
> 
> Did you add 11.8 in your e-mail to help me locate where the text should be
> added? It appears to be exactly the same as what's in the draft.
> 
> PatC
>